# Contributing

I set up the [Tildegit repo][1] during the [Sourcehut–Codeberg DDoS attack][2]
because I couldn’t make the [Sourcehut repo][3] public. Now you can use either
for drive-by commits and it should work pretty well. If you plan to be a regular
contributor, you should also subscribe to [the mailing list][4].

There is also a [Matrix room][4] if you have questions about anything

[1]: https://tildegit.org/u9000/vtt-embed
[2]: https://web.archive.org/web/20240112173110/https://sourcehut.org/
[3]: https://sr.ht/~u9000/vtt-embed/
[4]: matrix:r/vtt-embed:matrix.org?action=join

## Normal contributing stuff

All contributions are welomed. If you can, please try to follow the format
below. If you can’t, just send an email to ~u9000/vtt-embed@lists.sr.ht asking
me to pull from your remote (remember to include the URL of your remote), or
create a pull request on the Tildegit mirror.

1. `git pull`
2. contribute
3. add your name to AUTHORS
4. commit
5. `git send-email --to='~u9000/vtt-embed@lists.sr.ht' HEAD^` (or `HEAD~n` for
   the last *n* commits)

## Issues

Before raising an issue, please email the mailing list first to discuss.
